<?php
/**
 * Theme Palace options
 *
 * @package Theme Palace
 * @subpackage Photoistic
 * @since Photoistic 1.0.0
 */

/**
 * List of pages for page choices.
 * @return Array Array of page ids and name.
 */
function photoistic_page_choices() {
    $pages = get_pages();
    $choices = array();
    $choices[0] = esc_html__( '--Select--', 'photoistic' );
    foreach ( $pages as $page ) {
        $choices[ $page->ID ] = $page->post_title;
    }
    return  $choices;
}

/**
 * List of posts for post choices.
 * @return Array Array of post ids and name.
 */
function photoistic_post_choices() {
    $posts = get_posts( array( 'numberposts' => -1 ) );
    $choices = array();
    $choices[0] = esc_html__( '--Select--', 'photoistic' );
    foreach ( $posts as $post ) {
        $choices[ $post->ID ] = $post->post_title;
    }
    return  $choices;
}

/**
 * List of events for post choices.
 * @return Array Array of post ids and name.
 */
function photoistic_event_choices() {
    $posts = get_posts( array( 'numberposts' => -1, 'post_type' => 'tp-event' ) );
    $choices = array();
    $choices[0] = esc_html__( '--Select--', 'photoistic' );
    foreach ( $posts as $post ) {
        $choices[ $post->ID ] = $post->post_title;
    }
    return  $choices;
}

/**
 * List of trips for post choices.
 * @return Array Array of post ids and name.
 */
function photoistic_trip_choices() {
    $posts = get_posts( array( 'post_type' => 'itineraries', 'numberposts' => -1 ) );
    $choices = array();
    $choices[0] = esc_html__( '--Select--', 'photoistic' );
    foreach ( $posts as $post ) {
        $choices[ $post->ID ] = $post->post_title;
    }
    return  $choices;
}

function photoistic_product_choices() {
    $full_product_list = array();
    $product_id = array();
    $loop = new WP_Query(array('post_type' => array('product', 'product_variation'), 'posts_per_page' => -1));
    while ($loop->have_posts()) : $loop->the_post();
        $product_id[] = get_the_id();
    endwhile;
    wp_reset_postdata();
    $choices = array();
    $choices[0] = esc_html__( '--Select--', 'photoistic' );
    foreach ( $product_id  as $id ) {
        $choices[ $id ] = get_the_title( $id );
    }
    return  $choices;
}

if ( ! function_exists( 'photoistic_selected_sidebar' ) ) :
    /**
     * Sidebars options
     * @return array Sidbar positions
     */
    function photoistic_selected_sidebar() {
        $photoistic_selected_sidebar = array(
            'sidebar-1'             => esc_html__( 'Default Sidebar', 'photoistic' ),
            'optional-sidebar'      => esc_html__( 'Optional Sidebar 1', 'photoistic' ),
            'optional-sidebar-2'    => esc_html__( 'Optional Sidebar 2', 'photoistic' ),
            'optional-sidebar-3'    => esc_html__( 'Optional Sidebar 3', 'photoistic' ),
            'optional-sidebar-4'    => esc_html__( 'Optional Sidebar 4', 'photoistic' ),
        );

        $output = apply_filters( 'photoistic_selected_sidebar', $photoistic_selected_sidebar );

        return $output;
    }
endif;

if ( ! function_exists( 'photoistic_site_layout' ) ) :
    /**
     * Site Layout
     * @return array site layout options
     */
    function photoistic_site_layout() {
        $photoistic_site_layout = array(
            'wide-layout'  => get_template_directory_uri() . '/assets/images/full.png',
            'boxed-layout' => get_template_directory_uri() . '/assets/images/boxed.png',
        );

        $output = apply_filters( 'photoistic_site_layout', $photoistic_site_layout );
        return $output;
    }
endif;


if ( ! function_exists( 'photoistic_global_sidebar_position' ) ) :
    /**
     * Global Sidebar position
     * @return array Global Sidebar positions
     */
    function photoistic_global_sidebar_position() {
        $photoistic_global_sidebar_position = array(
            'right-sidebar' => get_template_directory_uri() . '/assets/images/right.png',
            'no-sidebar'    => get_template_directory_uri() . '/assets/images/full.png',
        );

        $output = apply_filters( 'photoistic_global_sidebar_position', $photoistic_global_sidebar_position );

        return $output;
    }
endif;


if ( ! function_exists( 'photoistic_sidebar_position' ) ) :
    /**
     * Sidebar position
     * @return array Sidbar positions
     */
    function photoistic_sidebar_position() {
        $photoistic_sidebar_position = array(
            'right-sidebar' => get_template_directory_uri() . '/assets/images/right.png',
            'no-sidebar'    => get_template_directory_uri() . '/assets/images/full.png',
        );

        $output = apply_filters( 'photoistic_sidebar_position', $photoistic_sidebar_position );

        return $output;
    }
endif;


if ( ! function_exists( 'photoistic_pagination_options' ) ) :
    /**
     * Pagination
     * @return array site pagination options
     */
    function photoistic_pagination_options() {
        $photoistic_pagination_options = array(
            'numeric'   => esc_html__( 'Numeric', 'photoistic' ),
            'default'   => esc_html__( 'Default(Older/Newer)', 'photoistic' ),
        );

        $output = apply_filters( 'photoistic_pagination_options', $photoistic_pagination_options );

        return $output;
    }
endif;


if ( ! function_exists( 'photoistic_switch_options' ) ) :
    /**
     * List of custom Switch Control options
     * @return array List of switch control options.
     */
    function photoistic_switch_options() {
        $arr = array(
            'on'        => esc_html__( 'Enable', 'photoistic' ),
            'off'       => esc_html__( 'Disable', 'photoistic' )
        );
        return apply_filters( 'photoistic_switch_options', $arr );
    }
endif;

if ( ! function_exists( 'photoistic_hide_options' ) ) :
    /**
     * List of custom Switch Control options
     * @return array List of switch control options.
     */
    function photoistic_hide_options() {
        $arr = array(
            'on'        => esc_html__( 'Yes', 'photoistic' ),
            'off'       => esc_html__( 'No', 'photoistic' )
        );
        return apply_filters( 'photoistic_hide_options', $arr );
    }
endif;

if ( ! function_exists( 'photoistic_heading_tags' ) ) :
    /**
     * Destination Options
     * @return array site gallery options
     */
    function photoistic_heading_tags() {
        
        $photoistic_heading_tags = array(
			'h1'	=> esc_html__('H1', 'photoistic'),
			'h2'	=> esc_html__('H2', 'photoistic'),
			'h3'	=> esc_html__('H3', 'photoistic'),
			'h4'	=> esc_html__('H4', 'photoistic'),
			'h5'	=> esc_html__('H5', 'photoistic'),
			'h6'	=> esc_html__('H6', 'photoistic'),
			'p'		=> esc_html__('Paragraph', 'photoistic'),
		);

        $output = apply_filters( 'photoistic_heading_tags', $photoistic_heading_tags );


        return $output;
    }
endif;